HP Views Designer Assistant: MenuScreen Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
MenuScreen Class Reference

The MenuScreen class. More...

`#include <menuscreen.h>`

Inheritance diagram for MenuScreen:

## Public Member Functions

| MenuScreen (QWidget *parent=0)
| MenuScreen constructor. More...
| MenuScreen (Controller *controller, QWidget *parent=0)
| MenuScreen constructor. More...
bool | isAutomaticPosition ()
| isAutomaticPosition Returns if the menu has automatic position. More...
bool | isTitleOption ()
| isTitleOption Returns if the menu has title option. More...
void | showError (QString error)
| showError Shows an error message. More...
void | showSuccess (QString success)
| showSuccess Shows a success message. More...
void | showInfo (QString info)
| showInfo Shows an information message. More...
QString | getBackgroundColor ()
| getBackgroundColor Returns screen background color. More...
QString | getBackgroundImage ()
| getBackgroundImage Returns screen background image. More...
int | getNumberOfRows ()
| getNumberOfRows Returns the number of rows. More...
int | getNumberOfCols ()
| getNumberOfCols Returns the number of columns. More...
int | getNumberOfIcons ()
| getNumberOfIcons Return the number of icons. More...
int | getWidthView ()
| getWidthView Return the screen width. More...
int | getHeightView ()
| getHeightView More...
void | setEditModel (Interfaz *interfaz)
| setEditModel Returns the screen height. More...
void | finish ()
| finish
Public Member Functions inherited from View
| View (QWidget *parent)
| View constructor. More...
void | show (QPoint position, QSize size)
| show Shows the view. More...

## Private Slots

void | on_helpBtn_clicked ()
| on_helpBtn_clicked This slot is executed when the help button is clicked.
void | on_titlePositiveOption_clicked ()
| on_titlePositiveOption_clicked This slot is executed when the title positive radio button is clicked.
void | on_titleNegativeOption_clicked ()
| on_titleNegativeOption_clicked This slot is executed when the title negative radio button is clicked.
void | on_continueBtn_clicked ()
| on_continueBtn_clicked This slot is executed when the continue button is clicked.
void | on_automaticPositionRadio_clicked ()
| on_automaticPositionRadio_clicked This slot is executed when the automatic position radio button is clicked.
void | on_customizePositionRadio_clicked ()
| on_customizePositionRadio_clicked This slot is executed when the customize position radio button is clicked.
void | on_rowInput_textEdited ()
| on_rowInput_textEdited This slot is executed when the row input is edited.
void | on_colInput_textEdited ()
| on_colInput_textEdited This slot is executed when the column input is edited.
void | on_plusBtn_clicked ()
| on_plusBtn_clicked This slot is executed when the plus button is clicked.
void | on_lessBtn_clicked ()
| on_lessBtn_clicked This slot is executed when the less button is clicked.
void | on_heightInput_textEdited ()
| on_heightInput_textEdited This slot is executed when the height input is edited.
void | on_widthInput_textEdited ()
| on_widthInput_textEdited This slot is executed when the width input is edited.
void | on_colorBackgroundBtn_clicked (bool checked)
| on_colorBackgroundBtn_clicked This slot is executed when the color background button is clicked. More...
void | on_imageBackgroundBtn_clicked (bool checked)
| on_imageBackgroundBtn_clicked This slot is executed when the image background button is clicked. More...
void | on_homeBtn_clicked ()
| on_homeBtn_clicked This slot is executed when the home button is clicked.
void | on_settingsBtn_clicked ()
| on_settingsBtn_clicked This slot is executed when the settings button is clicked.
void | on_numberIconsBox_textEdited (const QString &arg1)
| on_numberIconsBox_textEdited This slot is executed when the number of icons are edited. More...
void | on_positionCombo_activated (int index)
| on_positionCombo_activated This slot is executed when the index of combo is edited. More...

## Private Member Functions

void | setValidators ()
| setValidators Sets the validators of the screen inputs.
void | hideSizeElements ()
| hideSizeElements Hides size elements.
void | initElements ()
| initElements Inits the elements.
void | showSizeElements ()
| showSizeElements Shows size elements.
void | isFullFill ()
| isFullFill Checks if all of the elements have a value.
void | checkNumberIcons (int numberOfIcons)
| checkNumberIcons Checks if the number of icons are correct. More...
void | setDefaultIcons ()
| setDefaultIcons Set default icons.
void | setDefaultIcon (QPushButton *button, QString iconPathOn, QString iconPathOff)
| setDefaultIcon Set default icon. More...
void | setToolTips ()
| setToolTips Sets the help of the screen buttons.

## Private Attributes

Ui::MenuScreen * | ui
| ui

## Additional Inherited Members

Protected Member Functions inherited from View
void | setIntValidators (QLineEdit *input, int min, int max)
| setIntValidators Sets a numeric validator to an input. More...
QString | selectImage ()
| selectImage Selects an system image. More...
int | checkNumberElements (int numberOfElements)
| checkNumberElements Checks if the number of elements are correct More...
QString | getRootHelpPath ()
| getRootHelpPath Returns the root help app path. More...
Protected Attributes inherited from View
QPoint | currentPosition
| currentPosition Current position of the view.
Controller * | controller
| controller Views controller.

## Detailed Description

The MenuScreen class.

## Constructor & Destructor Documentation

## ◆ MenuScreen() [1/2]

MenuScreen::MenuScreen | ( | QWidget * | parent = `0` | ) |

explicit

MenuScreen constructor.

Parameters

  parent | Menu screen parent.

## ◆ MenuScreen() [2/2]

MenuScreen::MenuScreen | ( | Controller * | controller,
|  | QWidget * | parent = `0`
| ) |  |

MenuScreen constructor.

Parameters

  controller | Menu screen controller.
  parent | Menu screen parent.

## Member Function Documentation

## ◆ checkNumberIcons()

void MenuScreen::checkNumberIcons | ( | int | numberOfIcons | ) |

private

checkNumberIcons Checks if the number of icons are correct.

Parameters

  numberOfIcons | Number of icons

## ◆ getBackgroundColor()

QString MenuScreen::getBackgroundColor | ( |  | ) |

getBackgroundColor Returns screen background color.

Returns
  Background color.

## ◆ getBackgroundImage()

QString MenuScreen::getBackgroundImage | ( |  | ) |

getBackgroundImage Returns screen background image.

Returns
  Background image.

## ◆ getHeightView()

int MenuScreen::getHeightView | ( |  | ) |

getHeightView

Returns

## ◆ getNumberOfCols()

int MenuScreen::getNumberOfCols | ( |  | ) |

getNumberOfCols Returns the number of columns.

Returns
  Number of columns.

## ◆ getNumberOfIcons()

int MenuScreen::getNumberOfIcons | ( |  | ) |

getNumberOfIcons Return the number of icons.

Returns
  Number of icons.

## ◆ getNumberOfRows()

int MenuScreen::getNumberOfRows | ( |  | ) |

getNumberOfRows Returns the number of rows.

Returns
  Number of rows.

## ◆ getWidthView()

int MenuScreen::getWidthView | ( |  | ) |

getWidthView Return the screen width.

Returns
  Screen width.

## ◆ isAutomaticPosition()

bool MenuScreen::isAutomaticPosition | ( |  | ) |

isAutomaticPosition Returns if the menu has automatic position.

Returns
  `True` if the menu has automatic position, `false` otherwise.

## ◆ isTitleOption()

bool MenuScreen::isTitleOption | ( |  | ) |

isTitleOption Returns if the menu has title option.

Returns
  `True` if the menu has title position, `false` otherwise.

## ◆ on_colorBackgroundBtn_clicked

void MenuScreen::on_colorBackgroundBtn_clicked | ( | bool | checked | ) |

privateslot

on_colorBackgroundBtn_clicked This slot is executed when the color background button is clicked.

Parameters

  checked |

## ◆ on_imageBackgroundBtn_clicked

void MenuScreen::on_imageBackgroundBtn_clicked | ( | bool | checked | ) |

privateslot

on_imageBackgroundBtn_clicked This slot is executed when the image background button is clicked.

Parameters

  checked |

## ◆ on_numberIconsBox_textEdited

void MenuScreen::on_numberIconsBox_textEdited | ( | const QString & | arg1 | ) |

privateslot

on_numberIconsBox_textEdited This slot is executed when the number of icons are edited.

Parameters

  arg1 |

## ◆ on_positionCombo_activated

void MenuScreen::on_positionCombo_activated | ( | int | index | ) |

privateslot

on_positionCombo_activated This slot is executed when the index of combo is edited.

Parameters

  index |

## ◆ setDefaultIcon()

void MenuScreen::setDefaultIcon | ( | QPushButton * | button,
|  | QString | iconPathOn,
|  | QString | iconPathOff
| ) |  |

private

setDefaultIcon Set default icon.

Parameters

  button | Button to set the icon.
  iconPathOn | Path of the button on image.
  iconPathOff | Path of the button off image.

## ◆ setEditModel()

void MenuScreen::setEditModel | ( | Interfaz * | interfaz | ) |

setEditModel Returns the screen height.

Parameters

  interfaz | Screen height.

## ◆ showError()

void MenuScreen::showError | ( | QString | error | ) |

virtual

showError Shows an error message.

Parameters

  error | Message to show.

Implements View.

## ◆ showInfo()

void MenuScreen::showInfo | ( | QString | info | ) |

virtual

showInfo Shows an information message.

Parameters

  info | Message to show.

Implements View.

## ◆ showSuccess()

void MenuScreen::showSuccess | ( | QString | success | ) |

virtual

showSuccess Shows a success message.

Parameters

  success | Message to show.

Implements View.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/View/menuscreen.h
- D:/Documentos/ViewDesignerAssistant/View/menuscreen.cpp